Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.file.nw
Interface VolumeRestrictionEnumerator

public interface VolumeRestrictionEnumerator
extends java.util.Enumeration

Provides an enumeration of VolumeRestrictions from a given volume.

VolumeRestrictionEnumerator declares an enumeration interface for obtaining restrictions from a given volume with multiple restrictions.

See Also:
  `VolumeRestriction`

Field Summary
`static java.lang.String` | `ATTRIBUTE_ID` Attribute ID of VolumeRestrictionEnumerator.
`static java.lang.String` | `COMPARE_SYNTAX_STRING` Schema Syntax of VolumeRestrictionEnumerator.
`static java.lang.String` | `SCHEMA_BINDING_NAME` Schema Name of VolumeRestrictionEnumerator.

Method Summary
`boolean` | `hasMore()` Returns a boolean indicating if more elements are available in the enumeration.
`VolumeRestriction` | `next()` Returns the typed VolumeRestriction value.
`void` | `setUser(java.lang.String user)` Sets the specific user for which to get volume restrictions.

Methods inherited from interface java.util.Enumeration
`hasMoreElements, nextElement`

Field Detail

### ATTRIBUTE_ID

    public static final java.lang.String ATTRIBUTE_ID

  Attribute ID of VolumeRestrictionEnumerator.

  (ATTRIBUTE_ID = com.novell.service.file.nw.VolumeRestriction.ATTRIBUTE_ID)

  See Also:
    `VolumeRestriction`

### SCHEMA_BINDING_NAME

    public static final java.lang.String SCHEMA_BINDING_NAME

  Schema Name of VolumeRestrictionEnumerator.

  (SCHEMA_BINDING_NAME = com.novell.service.file.nw.VolumeRestriction.SCHEMA_BINDING_NAME)

  See Also:
    `VolumeRestriction`

### COMPARE_SYNTAX_STRING

    public static final java.lang.String COMPARE_SYNTAX_STRING

  Schema Syntax of VolumeRestrictionEnumerator.

  (COMPARE_SYNTAX_STRING = com.novell.service.file.nw.VolumeRestriction.COMPARE_SYNTAX_STRING)

  See Also:
    `VolumeRestriction`

Method Detail

### next

    public VolumeRestriction next()

  Returns the typed VolumeRestriction value.
  Returns:
    The next VolumeRestriction in the enumeration.
  Throws:
    NoSuchElementException - if there is no next element in the enumeration.
  See Also:
    `VolumeRestriction`

### hasMore

    public boolean hasMore()

  Returns a boolean indicating if more elements are available in the enumeration.
  Returns:
    A boolean set to TRUE if there are more elements to be returned; otherwise FALSE is returned.

### setUser

    public void setUser(java.lang.String user)

  Sets the specific user for which to get volume restrictions.

  If this method is called, subsequent calls to hasMore() and next() will return only the volume restriction object (user) that you specify here.

  Parameters:
    `user` - The user for which to get volume restrictions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD